## org.eclipse.jst.jsf.common.metadata.query
Class AbstractEntityVisitor

    java.lang.Object
      org.eclipse.jst.jsf.common.metadata.query.AbstractMetaDataVisitor
          org.eclipse.jst.jsf.common.metadata.query.AbstractEntityVisitor

All Implemented Interfaces:
  IEntityVisitor, IMetaDataVisitor

Direct Known Subclasses:
  AbstractEntityQueryVisitor

    public abstract class AbstractEntityVisitor

extends AbstractMetaDataVisitor
implements IEntityVisitor

Abstract implementation that concrete subclasses should ovveride

Provisional API - subject to change

Constructor Summary
`AbstractEntityVisitor()`

Method Summary
`abstract void` `visit(Entity entity)` Visit the entity.
`void` `visitCompleted(Entity entity)` Signal that the entity and all it's children is now completely 'visited'.

Methods inherited from class org.eclipse.jst.jsf.common.metadata.query.AbstractMetaDataVisitor
`stopVisiting`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.query.IMetaDataVisitor
`stopVisiting`

Constructor Detail

### AbstractEntityVisitor

    public AbstractEntityVisitor()

Method Detail

### visit

    public abstract void visit(Entity entity)

  Description copied from interface: `IEntityVisitor`
  Visit the entity. The entity and then it's children are visited

  Specified by:
    `visit` in interface `IEntityVisitor`
  Parameters:
    `entity` - - must not be NULL

### visitCompleted

    public void visitCompleted(Entity entity)

  Description copied from interface: `IEntityVisitor`
  Signal that the entity and all it's children is now completely 'visited'. The entity will call this method at the end of the accept method.

  Specified by:
    `visitCompleted` in interface `IEntityVisitor`
  Parameters:
    `entity` - - must not be NULL